Conduit Pharmaceuticals Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1758067200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s3.amazonaws.com/b2icontent.irpass.cc/2892/rl157840.pdf",
    "holding_balance": 8.65252366,
    "holding_net_change": 8.65,
    "transaction_value_usd": 997506.19,
    "average_entry_value_usd": 115285.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1760659200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s3.amazonaws.com/b2icontent.irpass.cc/2892/rl158498.pdf",
    "holding_balance": 17.9090111,
    "holding_net_change": 9.26,
    "transaction_value_usd": 1005000.0,
    "average_entry_value_usd": 108572.5,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    17.9090111
  ],
  [
    1782950400000,
    17.9090111
  ],
  [
    1783036800000,
    17.9090111
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1073905.791556505
  ],
  [
    1782950400000,
    1101186.229984913
  ],
  [
    1783036800000,
    1119778.648948489
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.512,
    "date": "2026-06-30",
    "high": 0.58,
    "open": 0.58,
    "close": 0.56,
    "volume": 668400
  },
  {
    "low": 0.521,
    "date": "2026-07-01",
    "high": 0.623,
    "open": 0.543,
    "close": 0.524,
    "volume": 532100
  },
  {
    "low": 0.467,
    "date": "2026-07-02",
    "high": 0.526,
    "open": 0.515,
    "close": 0.494,
    "volume": 649400
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -41.75,
  "six_month_return": -98.49,
  "three_month_return": -90.31
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/conduit-pharmaceuticals-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 46.6,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}